function row_move(row, direction){
    var row_id = row.getAttribute('id')
    var row_class = row.getAttribute('class')
    var row_td_action = $(row).find('.field-get_ordering_actions')[0]
    var row_action_html = row_td_action.innerHTML;

    // ROW ORDERING
    var row_td_ordering_hidden = $(row).find('.field-get_read_only_ordering')[0]
    var row_ordering = row_td_ordering_hidden.children[0].textContent;

    if (direction=='up'){
        var sibling = row.previousElementSibling;
    }
    if (direction=='down'){
        var sibling = row.nextElementSibling;
    }

    var sibling_id = sibling.getAttribute('id')
    var sibling_class = sibling.getAttribute('class')
    var sibling_td_action = $(sibling).find('.field-get_ordering_actions')[0]
    var sibling_action_html = sibling_td_action.innerHTML;

    // SIBLING ORDERING
    var sibling_td_ordering_hidden = $(sibling).find('.field-get_read_only_ordering')[0]
    var sibling_ordering = sibling_td_ordering_hidden.children[0].textContent;

    // SWAP ID
    row.setAttribute('id', sibling_id)
    sibling.setAttribute('id', row_id)

    // SWAP CLASS
    row.setAttribute('class', sibling_class)
    sibling.setAttribute('class', row_class)

    // SWAP ACTION
    row_td_action.innerHTML = sibling_action_html;
    sibling_td_action.innerHTML = row_action_html;

    // SWAP ORDERING HIDDEN
    var swap_ordering = row_ordering;
    row_td_ordering_hidden.children[0].textContent = sibling_ordering;
    sibling_td_ordering_hidden.children[0].textContent = swap_ordering;

    // ALIGN HIDDEN ORDERING TO SHOW ORDERING
    $(row).find('.field-ordering')[0].children[0].value = sibling_ordering;
    $(sibling).find('.field-ordering')[0].children[0].value = row_ordering;

    // SWAP ROW IN TABLE
    var parent = row.parentNode;
    if (direction=='up'){
        parent.insertBefore(row, sibling);
    }
    if (direction=='down'){
        parent.insertBefore(sibling, row);
    }
};

$(document).ready(function() {
    // HIDE ORDERING COLUMN
//    $("th:contains('Ordinamento')").css( "display", "none" );
//    $(".field-ordering").css( "display", "none" );

    // HANDLE UP AND DOWN EVENT
    $('tbody').on('click', '.actionUp', function(event){
        event.preventDefault();
        var row = $(this).parents('tr')[0];
        row_move(row, 'up')
    });
    $('tbody').on('click', '.actionDown', function(event){
        event.preventDefault();
        var row = $(this).parents('tr')[0];
        row_move(row, 'down')
    });
});

