# -*- coding: utf-8 -*-

from django.conf.urls import url, include

from thux.txcms import views

urlpatterns = [
    url(r'^$', views.HomePageLanguageView.as_view(), name='homepage'),
    url(r'^cms_api/', include('thux.txcms.api.urls', namespace='cms_api')),
    url(r'^robots.txt$', views.RobotsView.as_view(), name='robots'),
    url(r'^sitemap.xml$', views.SitemapView.as_view(), name='sitemap'),
    url(r'^(?P<page_language_slug>[\w-]+)/$', views.PageLanguageView.as_view(), name='page'),
]
